/* CERN Toolbar CSS - 17/01/13 */

#cern-toolbar {
  background-color: #222;
  font-family: "PT Sans", "Trebuchet MS", Tahoma, sans-serif;
  color: #999;
  font-size: 14px;
  line-height: 1;
  padding: 0 5%;
  height: 43px;
  /**/
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  /* z-index: 2; */
  z-index: 10;
  box-sizing: border-box;
}

body:not(.has-header) #cern-toolbar {
  z-index: 100;
}

body #cern-toolbar.signin-expand {
  z-index: 2000;
}

#cern-toolbar a {
  color: #ccc;
  text-decoration: none;
  padding: 6px 8px;
  -moz-border-radius: 5px;
  -webkit-border-radius: 5px;
  border-radius: 5px;
  display: inline-block;
}

#cern-toolbar a:hover {
  background-color: #000;
  color: #fff;
  border: 0;
}

#cern-toolbar .active a {
  background-color: #f6f6f6;
  color: #000;
  padding-bottom: 20px;
}

#cern-toolbar .active .cern-account {
  background-color: #fff;
}

#cern-toolbar h1 {
  float: left;
  font-size: 14px;
  font-weight: 400;
  line-height: 1;
  position: relative;
  left: -8px;
  padding: 6px 0;
  letter-spacing: 0.08em;
  margin: 0;
}

#cern-toolbar h1 a {
  color: #fff;
}

#cern-toolbar h1 span {
  color: #999;
  letter-spacing: normal;
  padding: 0;
}

#cern-toolbar h1 a:hover span {
  color: #fff;
}

#cern-toolbar ul {
  float: right;
  list-style: none;
  position: relative;
  right: -8px;
  margin: 0;
}
#cern-toolbar ul.cern-signedin.toolbar-submenu {
  padding-left: 0;
}

#cern-toolbar li {
  float: left;
  display: block;
  margin-left: 0.6em;
  padding: 6px 0;
}

#cern-toolbar .cern-multifactor {
  padding-left: 32px;
  background-image: url("../img/toolbarsprite.png");
  background-repeat: no-repeat;
  background-position: 0 -120px;
}

#cern-toolbar .cern-signout {
  margin-left: 1em;
}

/* SignIn buttons */

#cern-toolbar ul li a {
  border-bottom-width: 0;
}

#cern-toolbar ul li.signin {
  position: relative;
}

#cern-toolbar ul li.signin a.cern-signin {
  /*padding: 6px 8px;*/
  color: #ccc;
  display: inline-block;
  cursor: pointer;
}

#cern-toolbar ul li.signin div.item-list {
  display: none;
  position: absolute;
  background: rgba(30, 30, 30, 0.95);
  z-index: 9999999999999;
  top: 40px;
  min-width: 200px;
}

#cern-toolbar ul li.signin div.item-list div.item-list {
  position: static;
}

#cern-toolbar ul li.signin.signin-expand div.item-list {
  display: block;
}

#cern-toolbar .cern-account-links {
  width: 100%;
}

/**/

#cern-toolbar div.item-list-length-1,
#cern-toolbar div.item-list-length-1 div.item-list {
  display: inline !important;
  position: static !important;
  top: 0 !important;
  min-width: auto !important;
}

#cern-toolbar div.item-list-length-1 ul.toolbar-submenu,
#cern-toolbar div.item-list-length-1 div.item-list ul.toolbar-submenu {
  padding: 0 !important;
}

#cern-toolbar div.item-list-length-1 ul.toolbar-submenu li.cern-account-links,
#cern-toolbar
  div.item-list-length-1
  div.item-list
  ul.toolbar-submenu
  li.cern-account-links {
  padding: 0;
  margin: 0;
}

/**/

@media only screen and (min-width: 751px) {
  #cern-toolbar ul li.signin.signin-expand {
    padding: 6px 0 0 0;
  }
  #cern-toolbar > ul > li.signin.signin-expand > a {
    padding: 6px 8px 14px 8px;
    border-bottom-left-radius: 0;
    border-bottom-right-radius: 0;
  }
  #cern-toolbar ul li.signin.signin-expand > a {
    color: #333 !important;
    background: #f6f6f6;
  }
  #cern-toolbar:not(.user-authenticated) ul li.signin div.item-list ul {
    padding: 5px;
  }
  #cern-toolbar.user-authenticated ul li.signin {
    padding-top: 0;
  }
  #cern-toolbar.user-authenticated ul li.signin div.item-list {
    display: block;
    position: static;
  }
  #cern-toolbar.user-authenticated ul li.signin a.cern-signin.sign-out {
    display: none;
  }
  #cern-toolbar span.cern-signin-label {
    padding-top: 6px;
    display: inline-block;
  }
  #cern-toolbar div.item-list-length-1,
  #cern-toolbar div.item-list-length-1 div.item-list {
    display: inline !important;
    position: static !important;
    top: 0 !important;
    min-width: auto !important;
  }
  #cern-toolbar div.item-list-length-1 ul.toolbar-submenu,
  #cern-toolbar div.item-list-length-1 div.item-list ul.toolbar-submenu {
    padding: 0 !important;
  }
  #cern-toolbar div.item-list-length-1 ul.toolbar-submenu li.cern-account-links,
  #cern-toolbar
    div.item-list-length-1
    div.item-list
    ul.toolbar-submenu
    li.cern-account-links {
    padding: 0;
    margin: 0;
  }
}

@media only screen and (max-width: 750px) {
  #cern-toolbar ul li a {
    height: 38px;
    background-position-x: 0px;
  }
  #cern-toolbar.user-authenticated ul li a.cern-signin.sign-out {
    background-position-y: -80px;
  }
  #cern-toolbar ul li.signin div.item-list {
    right: -70px;
  }
  #cern-toolbar ul li.signin div.item-list ul {
    position: static;
    float: none;
    border: 0;
    padding-left: 15px;
  }
  #cern-toolbar.user-authenticated ul li.signin div.item-list ul {
    padding-left: 5px;
    padding-top: 5px;
  }
  #cern-toolbar ul li.signin div.item-list ul li {
    float: none;
    border: 0;
  }
  #cern-toolbar ul li.signin div.item-list ul li a {
    text-indent: 0;
    background: transparent;
    width: 100%;
    border: 0;
  }
}

/* Animations */

#cern-toolbar a,
#cern-toolbar a span {
  -moz-transition: background-color 0.1s ease-out;
  -webkit-transition: background-color 0.1s ease-out;
  -ms-transition: background-color 0.1s ease-out;
  -o-transition: background-color 0.1s ease-out;
  transition: background-color 0.1s ease-out;
}

@media only screen and (max-width: 750px) {
  #cern-toolbar h1 span {
    display: none;
  }
  #cern-toolbar ul li:last-child a {
    border-right: 1px solid #000;
    -moz-box-shadow: 1px 0 0 #444;
    -webkit-box-shadow: 1px 0 0 #444;
    box-shadow: 1px 0 0 #444;
  }
  #cern-toolbar li {
    padding: 0;
    margin: 0;
    /* border-left: 1px solid #000; */
  }
  #cern-toolbar a.cern-single-mobile-signin:not(.cern-multiple-mobile-signin),
  #cern-toolbar li a:not(.cern-multiple-mobile-signin) {
    background-image: url("../img/toolbarsprite.png") !important;
    background-repeat: no-repeat !important;
    height: 40px !important;
    width: 40px !important;
    -moz-border-radius: 0 !important;
    -webkit-border-radius: 0 !important;
    border-radius: 0 !important;
    text-indent: -5000px !important;
    overflow: hidden !important;
    border-left: 1px solid #444 !important;
    box-sizing: border-box !important;
  }
  #cern-toolbar .cern-account {
    background-position: 9px 0;
  }
  #cern-toolbar .cern-directory {
    background-position: 0px -40px;
  }
  #cern-toolbar .cern-signout {
    background-position: 9px -80px;
    margin-left: 0;
  }
  #cern-toolbar .active .cern-account {
    background-position: -31px 0;
  }
  #cern-toolbar .active .cern-directory {
    background-position: -31px -40px;
  }
  #cern-toolbar .cern-accountlinks span {
    display: none;
  }
  #cern-toolbar .cern-multifactor {
    background-image: none;
    padding: 0;
  }
}

/* has admin toolbar: and the toolbar is fixed */

.toolbar-fixed #cern-toolbar {
  top: 39px;
}

.toolbar-tray-open #cern-toolbar {
  top: 78px;
}

.toolbar-tray-open.toolbar-vertical #cern-toolbar {
  top: 39px;
}

@media only screen and (max-width: 610px) {
  .toolbar-vertical #cern-toolbar {
    top: 39px;
  }
}

/* override italic user name */

#cern-toolbar a.account em {
  font-style: normal;
}

/* overrides for non CERN themes + admin toolbar */
body:not(.cern-theme-on) {
  padding-top: 40px !important;
}

body:not(.cern-theme-on).toolbar-fixed {
  padding-top: 83px !important;
}

body:not(.cern-theme-on).toolbar-fixed.toolbar-horizontal.toolbar-tray-open {
  padding-top: 118px !important;
}
